function [stats]=computeStats(true, estimate, x)
%
% Inputs:
%       input1 - true ATE bounds
%       input2 - estimates of ATE bounds
%       input3 - 0 for lower bound, 1 for upperbound.
%
% Outputs:
%       mean, standard deviation and mean squared error of bound estimates
%
% Written by: Linqi Zhang
% October 2022

meanValue = mean(estimate(2:end,(x+1):2:end),2,'omitnan');
sdValue = sqrt(var(estimate(2:end,(x+1):2:end),0,2,'omitnan'));
mseValue = mean((estimate(2:end,(x+1):2:end)-...
    true(:,x+1)).^2,2,'omitnan');

stats = [round(true(:,x+1),3), round(meanValue,3), ...
    round(sdValue,3), round(mseValue,3)];

end