function DataBootstrap = generateBoot(tuningParams,sampleSize,Data)
% Generate bootstrap data
%
% Inputs:
%       input1 - tuning parameters
%       input2 - sample size
%       input3 - data
% Outputs:
%       bootstrap data
%
% Written by: Linqi Zhang
% October 2022

nCov = size(Data.W,2);
nCov = nCov + 1;

DataBootstrap.Y = nan(sampleSize, 1, tuningParams.Nboot);
DataBootstrap.X = nan(sampleSize, 1, tuningParams.Nboot);
DataBootstrap.W = nan(sampleSize, nCov-1, tuningParams.Nboot);
for b=1:tuningParams.Nboot
    % Randomly sample from data, with replacement
    dataBoot = datasample([Data.Y, Data.X, Data.W], sampleSize);
    DataBootstrap.Y(:,:,b) = dataBoot(:,1);
    DataBootstrap.X(:,:,b) = dataBoot(:,2);
    DataBootstrap.W(:,:,b) = dataBoot(:,3:end);    
end
clear dataBoot;