function Data = importData(sample)
% Import data from .dat file
% Column 1 to 7
% treat age education black hispanic married nodegree
% Column 8 to 15
% re74 re75 re78 re74pos re75pos sample1 sample2 sample3
% sample1: flag: NSW treatment & control
% sample3: flag: NSW treatment, PSID control, trimmed re74, re75 <= 5000
%
% In this example, the covariates include age, education and married.

rawData = load('lalonde1986.dat');

if sample==1

    sample1 = logical(rawData(:,13));
    Data.X = rawData(sample1,1);
    Data.W = rawData(sample1,2:6);
    Data.W = [Data.W, rawData(sample1,8:9)];
    Data.W = [Data.W, rawData(sample1,11:12)];
    Data.Y = rawData(sample1,10);

elseif sample==2
    
    sample3 = logical(rawData(:,15));
    Data.X = rawData(sample3,1);
    Data.W = rawData(sample3,2:6);
    Data.W = [Data.W, rawData(sample3,8:9)];
    Data.W = [Data.W, rawData(sample3,11:12)];
    Data.Y = rawData(sample3,10);    
elseif sample==3
    
    Data.X = rawData(170:200,1);
    Data.W = rawData(170:200,2:3);
    Data.W = [Data.W, rawData(170:200,6)];
    Data.Y = rawData(170:200,10);        
end    


%% Clear temporary variables
clearvars rawData
end