
if dgpChoice == 10
    myCaption = 'Estimated IMSE’s, $\sigma^2 = 0.01/12$';
    myLabel = 'table:IMSEs dgp10';
elseif dgpChoice == 11
    myCaption = 'Estimated IMSE’s, $\sigma^2 = 0.1/12$';
    myLabel = 'table:IMSEs dgp11';
elseif dgpChoice == 12
    myCaption = 'Estimated IMSE’s, $\sigma^2 = 0.5/12$';
    myLabel = 'table:IMSEs dgp12';
elseif dgpChoice == 13
    myCaption = 'Estimated IMSE’s, $\sigma = 1$';
    myLabel = sprintf('table:IMSEs dgp13 tuning%d %s',tuningChoice,resultType);    
elseif dgpChoice == 14
    myCaption = 'Estimated IMSE’s, $\sigma = 2$';
    myLabel = sprintf('table:IMSEs dgp14 tuning%d %s',tuningChoice,resultType);   
elseif dgpChoice == 15
    myCaption = 'Estimated IMSE’s, $\sigma = 0.5$';
    myLabel = sprintf('table:IMSEs dgp15 tuning%d %s',tuningChoice,resultType); 
end

latex = {'\begin{table}[H]';
    ['\caption[]{',myCaption,'\label{',myLabel,'}}'];
    '\begin{adjustwidth}{-0.25in}{-0.25in}';
    '\setlength{\linewidth}{.1cm}';
    '\newcommand{\contents}{';
    '\centering';
    '\begin{tabular}{cc|c|c|c|}';
    '      & \multicolumn{1}{c}{} & \multicolumn{3}{c}{IMSE} \\';
    '      & \multicolumn{1}{c}{n} & \multicolumn{1}{c}{Linear} & \multicolumn{1}{c}{Quadratic} & \multicolumn{1}{c}{Cubic} \\'};

C = num2cell(ateImse);
for i=1:size(C,1)
    rowTemp = '';
    for j=1:size(C,2)
        dataValue = C{i,j};
        dataValue = num2str(dataValue);
        rowTemp = [rowTemp,' & ',dataValue];
    end
    rowStr(i) = {rowTemp};
end

latex(end+1) = {['\cline{3-5}\multirow{2}[4]{*}{upper} & 500', char(rowStr(1)),' \\']};
latex(end+1) = {['\cline{3-5}      & 2000', char(rowStr(2)),' \\']};
latex(end+1) = {['\cline{3-5}\multirow{2}[4]{*}{lower} & 500', char(rowStr(3)),' \\']};
latex(end+1) = {['\cline{3-5}      & 2000', char(rowStr(4)),' \\']};
temp = {'\cline{3-5}\end{tabular}%';
    '}';
    '\setbox0=\hbox{\contents}';
    '\setlength{\linewidth}{\wd0-2\tabcolsep-.25em}';
    '\contents';
    '\end{adjustwidth}';
    '\end{table}';};
latex = [latex;temp];

% save LaTex code as file
fid=fopen(sprintf(strcat('output/fullMC/misspecification/',savePrefix,'imse_dgp%d_tuning%d.tex'),...
    dgpChoice,tuningChoice),'w');
[nrows,ncols] = size(latex);
for row = 1:nrows
    fprintf(fid,'%s\n',latex{row,:});
end
fclose(fid);

clear latex;