% Set tuning parameters
function tuningParams = setTuningParams(tuningChoice, nObs)

if nargin == 2
    % tunignChoice=1: tuning parameters for generating true values
    if tuningChoice == 1
        tuningParams.epsilon = 0.05;
        tuningParams.Ncgrid = 40;
        tuningParams.NIntgrid = 400;
        
    else 
        tuningParams.Ncgrid = 40;
        tuningParams.NIntgrid = 400;
        tuningParams.nodes = 100;
        tuningParams.Nboot = 1000;
        
        if tuningChoice == 2
            tuningParams.epsilon = 0.05;
            tuningParams.eta = nObs^(-1/4)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/3);
            
        elseif tuningChoice == 3
            tuningParams.epsilon = 0.05;
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/3);
            
        elseif tuningChoice == 4
            tuningParams.epsilon = 0.05;            
            tuningParams.eta = nObs^(-1/6)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/3);
            
        elseif tuningChoice == 5
            tuningParams.epsilon = 0.05;            
            tuningParams.eta = nObs^(-1/7)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/3);

        elseif tuningChoice == 6
            tuningParams.epsilon = 0.025;
            tuningParams.eta = nObs^(-1/4)*tuningParams.epsilon; 
            tuningParams.kappa = nObs^(-1/3);
            
        elseif tuningChoice == 7
            tuningParams.epsilon = 0.025;
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/3);
            
        elseif tuningChoice == 8
            tuningParams.epsilon = 0.025;            
            tuningParams.eta = nObs^(-1/6)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/3);
            
        elseif tuningChoice == 9
            tuningParams.epsilon = 0.025;            
            tuningParams.eta = nObs^(-1/7)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/3);
        
        elseif tuningChoice == 10
            tuningParams.epsilon = 0.01;
            tuningParams.eta = nObs^(-1/4)*tuningParams.epsilon; 
            tuningParams.kappa = nObs^(-1/3);
            
        elseif tuningChoice == 11
            tuningParams.epsilon = 0.01;
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/3);
            
        elseif tuningChoice == 12
            tuningParams.epsilon = 0.01;            
            tuningParams.eta = nObs^(-1/6)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/3);
            
        elseif tuningChoice == 13
            tuningParams.epsilon = 0.01;            
            tuningParams.eta = nObs^(-1/7)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/3);
            
        elseif tuningChoice == 14
            tuningParams.epsilon = 0.05;
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/4);
            
        elseif tuningChoice == 15
            tuningParams.epsilon = 0.05;
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/5);
            
        elseif tuningChoice == 16
            tuningParams.epsilon = 0.05;            
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/6);
            
        elseif tuningChoice == 17
            tuningParams.epsilon = 0.025;
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/4);
            
        elseif tuningChoice == 18
            tuningParams.epsilon = 0.025;
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/5);
            
        elseif tuningChoice == 19
            tuningParams.epsilon = 0.025;            
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/6);

        elseif tuningChoice == 20
            tuningParams.epsilon = 0.01;
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/4);
            
        elseif tuningChoice == 21
            tuningParams.epsilon = 0.01;
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/5);
            
        elseif tuningChoice == 22
            tuningParams.epsilon = 0.01;            
            tuningParams.eta = nObs^(-1/5)*tuningParams.epsilon;
            tuningParams.kappa = nObs^(-1/6);       
            
        elseif tuningChoice == 23
            tuningParams.epsilon = 0.05;
            tuningParams.eta = 0.05*nObs^(-1/3);
            tuningParams.kappa = 0.05*nObs^(-1/3);

        elseif tuningChoice == 24
            tuningParams.epsilon = 0.05;
            tuningParams.eta = 0.05*nObs^(-1/3);
            tuningParams.kappa = 0.01*nObs^(-1/3);
            
        elseif tuningChoice == 25
            tuningParams.epsilon = 0.05;
            tuningParams.eta = 0.01*nObs^(-1/3);
            tuningParams.kappa = 0.05*nObs^(-1/3);
            
        elseif tuningChoice == 26
            tuningParams.epsilon = 0.05;
            tuningParams.eta = 0.01*nObs^(-1/3);
            tuningParams.kappa = 0.01*nObs^(-1/3);
            
        elseif tuningChoice >= 100
            etaGrid = linspace(0.0001,0.01,10);
            kappaGrid = linspace(0.0001,0.01,10);
            etaGrid = repelem(etaGrid,10);
            kappaGrid = repmat(kappaGrid,10,1)';
            kappaGrid = kappaGrid(:);
            
            tuningParams.epsilon = 0.05;
            tuningParams.eta = etaGrid(tuningChoice-100);
            tuningParams.kappa = kappaGrid(tuningChoice-100);
        end  

    end

elseif nargin == 1
    tuningParams.Ncgrid = 40;
    tuningParams.NIntgrid = 400;
    tuningParams.nodes = 100;
    
    if ismember(tuningChoice, [1 2 3 4 5 14 15 16 23 24 25 26]) || tuningChoice >= 100
        tuningParams.epsilon = 0.05;
        
    elseif ismember(tuningChoice, [6 7 8 9 17 18 19])
        tuningParams.epsilon = 0.025;
        
    elseif ismember(tuningChoice, [10 11 12 13 20 21 22])
        tuningParams.epsilon = 0.01;
    end
end        
end