# Sensitivity analysis illustration using LaLonde (1986) data

**Description**: We illustrate our module using data from LaLonde (1986).
The main file is LaLondeReplication.do. 
Run this to obtain the full results. It uses two different versions of the LaLonde dataset, as analyzed by Dehejia and Wahba (1999).

First it runs our main module (_tesensitivity_) to estimate bounds on ATE and ATT under deviations from selection on observables.

Next, it outputs the leave-out-variable-k propensity score analysis, again from our main module.

Finally, it runs the program leave_out_ate.ado. This program outputs the magnitude of the effect of omitting a single variable on ATE point estimates. It takes a list of outcome, treatment, and controls as an input, computes ATE using inverse probability weighting (IPW), and saves the IPW estimate as our main baseline.
Next, for each control variable, it computes the IPW estimate without that control.
This allows us to see the impact of adding that control on the ATE estimate.
Variables which do not have a large marginal impact on the ATE estimate may be considered unimportant for calibrating our sensitivity analysis.

