*! v1.0.0 Matt Masten 22june2018
capture program drop get_summary_stats
program define get_summary_stats, rclass
    version 14
    syntax varlist(min=1) [if]

    local controls `varlist'
    local numRows: word count `controls'
    local numColumns = 2

    // mark sample
    marksample touse
    markout `touse' `controls'

    matrix sumStatsTable = J(2*`numRows',`numColumns',.)

    forvalues i = 0/1 {
        local r = 1
        foreach v of varlist `controls' {
            quietly summarize `v' if treat == `i' & `touse'
            matrix sumStatsTable[`r', `i'+1] = r(mean)
            matrix sumStatsTable[`r' + 1, `i'+1] = r(sd)
            local r = `r' + 2
        }
    }

    foreach v of varlist `controls' {
        local rowNames "`rowNames' `v' . "
    }
    matrix rownames sumStatsTable = `rowNames'

    return matrix sumStatsTable = sumStatsTable

end